unit PostSettingsUnit;

interface

uses
	SysUtils, Classes, QGraphics, QForms, QStdCtrls, QControls, QExtCtrls;

type
	TPostSettingsForm = class(TForm)
    Bevel1: TBevel;
    OKButton: TButton;
    CancelButton: TButton;
    UseEZCodesCheckBox: TCheckBox;
    UseEmoticonsCheckBox: TCheckBox;
    UseLinkConversionCheckBox: TCheckBox;
    UseHTMLCheckBox: TCheckBox;
    EmailRepliesCheckBox: TCheckBox;
    Label1: TLabel;
    procedure FormShow(Sender: TObject);
    procedure UseHTMLCheckBoxClick(Sender: TObject);
  private
	public
	end;

implementation

{$R *.dfm}

procedure TPostSettingsForm.FormShow(Sender: TObject);
begin
	UseHTMLCheckBoxClick (Sender);
end;

procedure TPostSettingsForm.UseHTMLCheckBoxClick(Sender: TObject);
begin
	UseEZCodesCheckBox.Enabled := not UseHTMLCheckBox.Checked;
	UseEmoticonsCheckBox.Enabled := not UseHTMLCheckBox.Checked;
	UseLinkConversionCheckBox.Enabled := not UseHTMLCheckBox.Checked;
	if not UseEZCodesCheckBox.Enabled then
		UseEZCodesCheckBox.Checked := False;
	if not UseEmoticonsCheckBox.Enabled then
		UseEmoticonsCheckBox.Checked := False;
	if not UseLinkConversionCheckBox.Enabled then
		UseLinkConversionCheckBox.Checked := False;
end;

end.
