unit AliasPropUnit;

interface

uses
	SysUtils, Classes, QGraphics, QControls, QForms, QDialogs,
	QStdCtrls, QExtCtrls;

type
  TAliasPropForm = class(TForm)
    Label1: TLabel;
    UserIDEdit: TEdit;
    Label2: TLabel;
    ReplacementEdit: TEdit;
    Bevel1: TBevel;
		OKButton: TButton;
    CancelButton: TButton;
		procedure EditChange(Sender: TObject);
		procedure ReplacementEditEnter(Sender: TObject);
	private
	public
	end;

implementation

{$R *.dfm}

procedure TAliasPropForm.EditChange(Sender: TObject);
begin
	OKButton.Enabled := (Length (UserIDEdit.Text) > 0) and (Length (ReplacementEdit.Text) > 0) and (UserIDEdit.Text <> ReplacementEdit.Text);
end;

procedure TAliasPropForm.ReplacementEditEnter(Sender: TObject);
begin
	if Length (ReplacementEdit.Text) <= 0 then begin
		ReplacementEdit.Text := UserIDEdit.Text;
		ReplacementEdit.SelectAll;
	end;
end;

end.
